import { ElementRef, OnDestroy, OnInit, Renderer2 } from '@angular/core';
import * as i0 from "@angular/core";
interface FocusGroupConfig {
    selector?: string;
    tabIndex?: number;
}
export declare class FocusGroupDirective implements OnInit, OnDestroy {
    protected readonly document: any;
    protected readonly renderer: Renderer2;
    protected readonly el: ElementRef;
    private activeElement;
    private childKeyDownEventListener;
    private elementBlurEventListener;
    private elementClickEventListeners;
    private observer;
    set config(val: FocusGroupConfig | undefined);
    get config(): FocusGroupConfig | undefined;
    private _config;
    constructor(document: any, renderer: Renderer2, el: ElementRef);
    ngOnInit(): void;
    ngOnDestroy(): void;
    enterGroup($event: KeyboardEvent): void;
    private setupClickEventListeners;
    private getFocusableChildren;
    private elementBlurFunction;
    private initializeElement;
    private disposeElement;
    private someChildIsFocused;
    private childKeyDown;
    private isPreviousNavigationKey;
    private isNextNavigationKey;
    private focusPrevious;
    private focusNext;
    private leaveGroup;
    static ɵfac: i0.ɵɵFactoryDeclaration<FocusGroupDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<FocusGroupDirective, "[fuGroup]", never, { "config": { "alias": "fuGroup"; "required": false; }; }, {}, never, never, false, never>;
}
export {};
